Fix For The Polynomial Startup Crash

Posted: November 26th, 2010 | Author: | Filed under: Hardware, Tips/Tutorials
Tags: , , , , , , ,

FINAL UPDATE: This post is a mess… this should not be a problem anymore for anyone. You should be on drivers newer than 11.2 or older than 10.5. This used to affect the BIT.TRIP games, but those run fine now as well. What has not yet been fixed in updated drivers is Cities in Motion.

FINAL FIX: Turns out you just need atigktxx.dll in the game folder! No mess, not even the main atioglxx.dll. Download the 10.4 dll here, place it where polynomial.exe is, done! I also noticed after installing Catalyst 11.2, the dll might not be needed anymore.

FIX ATTEMPT: I tried a brute force method, I put every driver file of 10.4 into the game folder. You can do this while still having whatever newer Catalyst you have installed, just run the 10.4 installer, cancel it, open a cmd prompt at C:\ATI\Support\10-4_vista64_win7_64_dd_ccc_wdm_enu\Packages\Drivers\ Display\W76A_INF\B_98282 or similar, then simply ‘expand -r *.* c:\pathtoyourgamefolder‘ and voila! I have not yet tried deleting any of the files 1 by 1 to see which ones are required to stop the BSOD so the game folder would look cleaner, but so far it works!

UPDATE2: mixed reports saying 10.12 is good, it’s almost a guarantee that it’s good for 5970 users that were stuttering, but it’s the same crash for me still on 10.12.

UPDATE: this might be affecting Bit.Trip Beat as well. Something to do with crossfire, but there are some reports of 5970s working fine.

So I finally attempted to try the demo of The Polynomial, but the driver is crashing on startup of the game (it’s in OpenGL). I’m trying this on a 4870×2, Catalyst 10.11 WHQL, latest CAP, Vista 64.

It might be something to do with crossfire, or at least in my case and this user. The developer is also active in that thread, and I’ll try to get some form of exposure to ATI/AMD, so we’ll see how this goes.

Workarounds

-The whole older driver package: refer to the working fix at the top of this page.

Current iD Tech games (with this side effect! depends on the visualizer options): doom3.exe, etqw.exe, prey.exe, quake4.exe, wolf2mp.exe

Riddick Butcher’s Bay profile looks like a bunch of detail is lost, and the bloom is lower resolution, yet the bright flashing lights are gone: sbzengine.exe

An older atioglxx.dll: I tried 10.2 and 10.4, the game launched without glitches, but has a BSOD soon after. This must be because crossfire changed at 10.5, as mixing dx10/11 dlls older than 10.5 would also BSOD in Shattered Horizon and Bad Company 2. If you’re ok with not having the latest drivers (if you don’t need the fixes in there), you may be able to get away with installing 10.4 and just the latest CAP.

RadeonPro recently added some OpenGL support, but the crossfire options are not functional just yet. I can’t think of any DX9 things to test if the ‘disable crossfire’ option is different from just disabling CatalystAI, but if it is, then this would end up a working solution once this app is updated.

Dark Athena, older Quakes, Unigine, FurMark, and a couple other profiles I attempted to launch act like the original game’s driver crash.

 

I will update this post if there’s a workaround better than the iD one, if there’s some combination of settings to try, or if either the drivers or game manage to fix it.

Last Modified: September 15th, 2011

3 Comments »

3 Comments on “Fix For The Polynomial Startup Crash”

  1. 1 Avernikas said at 5:50 pm on November 28th, 2010:

    Where can I download 10.4? I don’t want to just google it and download the first link I see, have to be carefull :)

  2. 2 kn00tcn said at 5:03 pm on November 29th, 2010:

    @avernikas you can google, just find a reliable site (techpowerup), but AMD also hosts them
    http://sites.amd.com/us/game/downloads/Pages/downloads.aspx pick your OS, then look towards the bottom of the page, there’s a ‘previous drivers’ link

    reply back if it works or not

  3. 3 The Wizard said at 11:38 am on August 9th, 2012:

    The Polynomial using the OpenGL components of Catalyst 12.6 legacy driver.


Leave a Reply